<?php
/* ----osticket-bootstrap---- */
/*********************************************************************
    index.php

    Helpdesk landing page. Please customize it to fit your needs.

    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006-2013 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
**********************************************************************/
  require('client.inc.php');
  $section = 'home';
  require(CLIENTINC_DIR.'header.inc.php');

  if($cfg && ($page = $cfg->getLandingPage())) {
    echo $page->getBodyWithImages();
  } else {
    echo  '<div class="page-header"><h1>' . __('Welcome to the Support Center') . '</h1></div>';
  }
?>

      <div class="row">
        <div class="col-md-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h3 class="panel-title"><?php echo __('Open a New Ticket'); ?></h3>
            </div>
            <div class="panel-body">
              <p><?php echo __('Please provide as much detail as possible so we can best assist you. To update a previously submitted ticket, please login.'); ?><p>
              <p style="text-align:center;"><a href="<?php echo ROOT_PATH; ?>open.php" class="btn btn-success" title="<?php echo __('Open a New Ticket'); ?>."><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> <?php echo __('Open a New Ticket'); ?></a></p>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h3 class="panel-title"><?php echo __('Check Ticket Status'); ?></h3>
            </div>
            <div class="panel-body">
              <p><?php echo __('We provide archives and history of all your current and past support requests complete with responses.'); ?></p>
              <p style="text-align:center;"><a href="<?php if(is_object($thisclient)) { echo ROOT_PATH . 'tickets.php';} else { echo ROOT_PATH . 'view.php'; } ?>" class="btn btn-info" title="<?php echo __('Check Ticket Status'); ?>."><span class="glyphicon glyphicon-search" aria-hidden="true"></span> <?php echo __('Check Ticket Status'); ?></a></p>
            </div>
          </div>
        </div>
      </div>

<?php if($cfg && $cfg -> isKnowledgebaseEnabled()) {
  //TODO: provide ability to feature or select random FAQs ??
?>
      <div class="well">
        <p><span class="glyphicon glyphicon-book" aria-hidden="true"></span> <?php echo sprintf(__('Be sure to browse our %s before opening a ticket'), sprintf('<a href="kb/">%s</a>', __('Frequently Asked Questions (FAQs)'))); ?></p>
      </div>
<?php }
  require(CLIENTINC_DIR.'footer.inc.php');
?>
